Bug 452949 - Revert a string to make it suitable for more apps
Summary: Revert a string to make it suitable for more apps
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: libakonadi (show other bugs)
Version: GIT (master)
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-24 12:55 UTC by Eastern Li
Modified: 2022-04-25 04:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.21.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eastern Li 2022-04-24 12:55:41 UTC
SUMMARY
Akonadi is used in many apps, such as KMail, KOrganizer, Kalendar. The string
(https://invent.kde.org/pim/akonadi/-/blob/master/src/widgets/cachepolicypage.ui#L118)
is shown in the three apps, but only suits KMail. The previous string
(https://invent.kde.org/pim/akonadi/-/commit/4c8cccb196bab944834bdd9e2ea3b869b173c970#bdbba614c22dab1d8eeec72026b4f2e87fa1361f_152_96)
seems more suitable.


STEPS TO REPRODUCE
1. Open one of the previously mentioned apps
2. Right click on the folder/calendar on the left
3. Click on Folder Properties/Edit Calendar
4. The string will appear in the Retrieve tab

EXPECTED RESULT
A string that suits all apps.
Comment 1 Laurent Montel 2022-04-25 04:48:54 UTC
Git commit 59f5cd41a8cc60c5bef404d3a4b8353b3a034e31 by Laurent Montel.
Committed on 25/04/2022 at 04:48.
Pushed by mlaurent into branch 'master'.

Fix 452949: Revert a string to make it suitable for more apps
FIXED-IN: 5.21.0

M  +1    -1    src/widgets/cachepolicypage.ui

https://invent.kde.org/pim/akonadi/commit/59f5cd41a8cc60c5bef404d3a4b8353b3a034e31